- subscribable = gitlab_subscription_or_license
- message = gitlab_subscription_message_or_license_message

- if message.present? && subscribable.present?
  .container-fluid.container-limited.pt-3
    .gl-alert.gitlab-ee-license-banner.hidden.js-gitlab-ee-license-banner.gl-pb-7.gl-border-1.gl-border-solid.gl-border-gray-100.gl-rounded-base{ role: 'alert', data: { license_expiry: subscribable.expires_at } }
      %button.gl-alert-dismiss{ type: 'button', 'aria-label' => 'Dismiss', data: { track_event: 'click_button', track_label: 'dismiss_subscribable_banner' } }
        = sprite_icon('close', css_class: 'gl-icon js-close')
      .gl-display-flex.gl-flex-direction-row
        .gl-pr-6.gl-pl-5.gl-pt-3
          - if subscribable.expired?
            - if subscribable.block_changes?
              = image_tag('illustrations/subscription-downgraded.svg')
            - else
              = image_tag('illustrations/subscription-cancelled.svg')
          - else
            = image_tag('illustrations/subscription-warning.svg')
        .gl-text-left.gl-pt-3
          = message

          - if subscribable.block_changes?
            = link_to _('Upgrade your plan'), 'https://customers.gitlab.com/subscriptions/my_renewal', class: 'btn gl-button btn-primary', data: { track_event: 'click_text', track_label: 'subscribable_action', track_property: 'upgrade' }
          - else
            = link_to _('Renew subscription'), 'https://customers.gitlab.com/subscriptions/my_renewal', class: 'btn gl-button btn-primary', data: { track_event: 'click_text', track_label: 'subscribable_action', track_property: 'renew' }
            = link_to _('That is ok, I do not want to renew'), '#', data: { track_event: 'click_text', track_label: 'subscribable_action', track_property: 'thats_ok' }, 'aria-label' => 'Dismiss', class: 'btn gl-button btn-info btn-info-secondary gl-ml-3 js-close'
